# Package org.grails.core.exceptions

- Class Summary
  Class | Description
  --- | ---
  DefaultErrorsPrinter | Default implementation of the StackTracePrinter interface.

- Exception Summary
  Exception | Description
  --- | ---
  GrailsConfigurationException | Authors: Graeme Rocher
  GrailsDomainException | Thrown when creation of the Grails domain from the Grails domain classes fails.
  GrailsException | Base class for all Grails exceptions that are not recoverable.
  GrailsRuntimeException | Generic global runtime exception.
  InvalidPropertyException | Thrown when a property of a Grails class is invalidated.
  NewInstanceCreationException | Occurs when the creation of a new instance fails.